> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Action History

> A `GET` to the `/action-history/{action_history}` endpoint allows your application to retrieve action history.



## OpenAPI

````yaml get /v3/action-history/{actionHistory}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/action-history/{actionHistory}:
    get:
      tags:
        - Action History
      summary: Read Action History
      description: >-
        A `GET` to the `/action-history/{action_history}` endpoint allows your
        application to retrieve action history.
      operationId: action-history.show
      parameters:
        - name: actionHistory
          in: path
          required: true
          description: The action history ID
          schema:
            type: string
      responses:
        '200':
          description: '`ActionHistory`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ActionHistory'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    ActionHistory:
      type: object
      properties:
        id:
          type: string
        actionable_type:
          type: string
        actionable_id:
          type: integer
        items:
          type: array
          items:
            $ref: '#/components/schemas/ActionHistoryItem'
        parent_id:
          type:
            - string
            - 'null'
        parent_history:
          type: string
        children_history:
          type: object
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - actionable_type
        - actionable_id
        - items
        - parent_id
        - parent_history
        - children_history
        - created_at
        - updated_at
      title: ActionHistory
    ActionHistoryItem:
      type: object
      properties:
        id:
          type: integer
        action_history_id:
          type: string
        status:
          type: string
        handler:
          type: string
        arguments:
          type:
            - array
            - 'null'
          items: {}
        context:
          type:
            - array
            - 'null'
          items: {}
        result:
          type:
            - array
            - 'null'
          items: {}
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - action_history_id
        - status
        - handler
        - arguments
        - context
        - result
        - created_at
        - updated_at
      title: ActionHistoryItem
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````